Skip to main content
POST
Subsequent installment
Beta Feature

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The ID of the original installment authentication

Body

application/json
amount
integer
required

The amount given in minor units (e.g. use 700 for 7€). Some currencies do not support minor units (e.g. Japanese Yen). In this case send in the full value, .i.e. 100 for 100 JPY.

Required range: x >= 0
Example:

700

currency_code
string
required

The three letter currency code. See: ISO-4217

Example:

"EUR"

Response

Authentication created

id
string<uuid>
required

The ID of the authentication

Example:

"3e9b5d1f-7a2c-4c8e-b4d6-1f8a5c3e9b7d"

amount
integer
required

The amount given in minor units (e.g. use 700 for 7€). Some currencies do not support minor units (e.g. Japanese Yen). In this case send in the full value, .i.e. 100 for 100 JPY.

Required range: x >= 0
Example:

700

created_at
string<datetime>
required

The date-time the authentication was created (following ISO 8601)

Example:

"2026-06-01T10:00:00Z"

currency_code
string
required

The three letter currency code. See: ISO-4217

Example:

"EUR"

status
enum<string>
required
Available options:
PROCESSING,
COMPLETED,
FAILED
source
object
required

The payment credentials for this authentication request.

use_case
enum<string>
required
Available options:
ONE_OFF,
INITIAL_RECURRING,
INITIAL_INSTALLMENT,
SUBSEQUENT_RECURRING,
SUBSEQUENT_INSTALLMENT
action_requirement
object
authentication_result
object

The final result of the authentication. It holds in the cardholder authentication data (CAVV) and if there is a network token present, the token authentication data (TAVV).

challenge_preference
enum<string>
default:CHALLENGE

The preference with respect to an eventual challenge.

There is no guarantee that the preference can be fulfilled.

Available options:
CHALLENGE,
NO_PREFERENCE,
NO_CHALLENGE
recurring_expiry
string

The date when the latest subsequent authentication can happen. Requires the format yyyyMMdd.

Example:

"2027-06-01"

recurring_frequency
integer

Indicates the minimum number of days between authentications.

Example:

30

failure_details
object[]

The reasons why an authentication failed during processing in Commerce.

finished_at
string<datetime>

The date-time the authentication was finished (following ISO 8601)

Example:

"2026-06-01T10:00:04Z"

original_authentication
string<uuid>

The ID of the original authentication in case of subsequent authentications

Example:

"9d5f1b7e-3c8a-4a2d-b6f4-7e2c9a5d1f8b"

merchant_id
string<uuid>

The ID of the merchant for whom the authentication is requested

Example:

"5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d"

number_of_installments
integer

Indicates the maximum number of authorisations permitted for installment payments.

Example:

6

purchase_date
string

The data when the purchase was made. Requires the format yyyyMMddHHmmss and defaults to now.

Example:

"2026-06-01"